<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
    <title>Index page</title>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" rel="stylesheet">
    <style>
        .line-hgt {
            line-height: 2.0;
        }
    </style>
</head>

<body>
    <div class="container">
        <h2 align="center" class="text-danger">JavaScript Date <code>toString()</code> Example</h2>
        <hr />

        <!-- Date toString() function -->
        <div id="toString-info">
            <h3 class="text-primary font-weight-bold">JavaScript Date</h3>
            <ol class="text-info line-hgt">
                <li>JavaScript provides the <code>Date</code> object to work with <em>Date</em> and <em>Time</em> including days, months, years, hours, seconds and milliseconds.</li>
                <li>The <code>toString()</code> method converts a <code>Date</code> object to a String representation.</li>
                <li>The <code>toString()</code> method is automatically called,
                    <ul>
                        <li>When the <code>Date</code> is represented as a text-value. For e.g. <code>console.log(new Date());</code></li>
                        <li>When the <code>Date</code> is used in string concatenation. For e.g. <code>var today = 'Today is ' + new Date();</code></li>
                    </ul>
                </li>
                <li>The <code>toString()</code> method is a generic method, it does not require that it's <code>this</code> is a <code>Date</code> instance</li>
                <li>Syntax:<pre>var demo = dateObj.toString();</pre></li>
            </ol>
        </div>
        <div>&nbsp;</div>

        <!-- showing result -->
        <h5 id="result" class="text-success"></h5>
    </div>
</body>
<script type="text/javascript">
    var dateObj = new Date();
    var today = dateObj.toString(); // Assigns a string value to 'today' in the same format as: Mon Sep 08 1998 14:36:22 GMT+0530 (India Standard Time).

    // Assigning the output to the html.
    document.getElementById("result").innerHTML = "<strong>Today is</strong> " + today;
</script>

</html>